#
# spec file for package python-pytest-flakes
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytest-flakes
Version:        4.0.5
Release:        1.13
Summary:        Pytest plugin to check source code with pyflakes
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/asmeurer/pytest-flakes
Source:         https://files.pythonhosted.org/packages/source/p/pytest-flakes/pytest-flakes-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# Test requirements
BuildRequires:  %{python_module pyflakes}
BuildRequires:  %{python_module pytest >= 2.8.0}
# End of test requirements
BuildRequires:  fdupes
Requires:       python-pyflakes
Requires:       python-pytest >= 2.8.0
BuildArch:      noarch

%python_subpackages

%description
py.test plugin for efficiently checking python source with pyflakes.

%prep
%setup -q -n pytest-flakes-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest test_flakes.py

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/pytest_flakes.py*
%pycache_only %{python_sitelib}/__pycache__/pytest_flakes.*
%{python_sitelib}/pytest_flakes-%{version}-py*.egg-info

%changelog
* Mon Jan 10 2022 Matej Cepl <mcepl@suse.com>
- Update to version 4.0.5:
  - Drop support for EOL Python 2.7 and 3.4
  - Add python_requires to help pip
  - Upgrade Python syntax with pyupgrade --py3-plus
  - Require pytest 5+ to remove hasattr('from_parent') check
  - Fix typo: setup.cfg or pytest.ini
  - implement collect
  - switch to cooperative ctors and correct node trees to future
    proof
  - Remove FlakesItem.collect
  - Remove add_marker backward compat check
  - Remove tokenize.open backward compat
  - Prepare for upcoming pytest 7.0 deprecations
* Thu Aug 13 2020 Benjamin Greiner <code@bnavigator.de>
- Update to Version 4.0.1
  * Maintenance of pytest-flakes has moved from fschulze to
    asmeurer. The repo for pytest-flakes is now at
    https://github.com/asmeurer/pytest-flakes/
  * Fix test failures. [asmeurer]
  * Fix deprecation warnings from pytest. [asmeurer]
  * Fix invalid escape sequences. [akeeman]
- drop patches for fixed test
  * remove-bad-test.patch
  * replace-pytest-pep8-with-pytest-codestyle.patch
- no pytest-codestyle needed for packaging
* Fri Dec  6 2019 Ondřej Súkup <mimi.vx@gmail.com>
- use pytest macro
* Thu Feb 14 2019 Tomáš Chvátal <tchvatal@suse.com>
- Fix the pytest call
* Wed Oct 10 2018 Antonio Larrosa <alarrosa@suse.com>
- Remove conditional test variable from spec file and keep it enabled
* Thu Sep 20 2018 Antonio Larrosa <alarrosa@suse.com> - 4.0.0
- Initial release of python-pytest-flakes 4.0.0
- Add remove-bad-test.patch to remove a test that seems to be wrong
